import { MetaProvider, Title } from "@solidjs/meta";
import { StaticRouter, A } from "@solidjs/router";
import { FileRoutes } from "@solidjs/start/router";
import { Suspense } from "solid-js";
import "./app.css";

export default function App() {
  return (
    <StaticRouter
      base={process.env.BASE_URL || import.meta.env.BASE_URL || "/"}
      root={props => (
        <MetaProvider>
          <Title>Aide-mémoire Git</Title>
          <Suspense>{props.children}</Suspense>
        </MetaProvider>
      )}
    >
      <FileRoutes />
    </StaticRouter>
  );
}
